# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="A broadcatching library"
SRC_URI="http://flukkost.nu/libsummer/${P}.tar.bz2"
HOMEPAGE="http://wrya.net/services/trac/summer/"
KEYWORDS="~x86 ~amd64"
SLOT="0"
LICENSE="LGPL-2"
IUSE="bittorrent doc python"

DEPEND=">=dev-libs/glib-2.18.4
	>=net-libs/libsoup-2.24.3
	dev-libs/libxml2
	python? ( >=dev-python/pygobject-2.15.4 )
	bittorrent? ( >=net-libs/rb_libtorrent-0.14.1 )
	doc? ( dev-util/gtk-doc )"

RDEPEND="${DEPEND}"

RESTRICT="mirror"


src_compile() {
	econf $(use_enable bittorrent) $(use_enable python) $(use_enable doc gtk-doc) || die "econf failed"
	emake || die "emake failed"
}

src_install() {
	emake install DESTDIR="${D}" || die "Install failed"
	dodoc ChangeLog NEWS README AUTHORS
}
